using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsWorkCodeCycleUnit
    {
        public FmsWorkCodeCycleUnit()
        {
            FmsFacilityCheckItem = new HashSet<FmsFacilityCheckItem>();
            FmsWorkSchedule = new HashSet<FmsWorkSchedule>();
        }

        [Key]
        public int SiteId { get; set; }
        [Key]
        public int CycleUnitId { get; set; }
        [Required]
        [StringLength(24)]
        public string Name { get; set; }
        [StringLength(200)]
        public string Description { get; set; }

        [ForeignKey(nameof(SiteId))]
        [InverseProperty(nameof(CmSite.FmsWorkCodeCycleUnit))]
        public virtual CmSite Site { get; set; }
        [InverseProperty("FmsWorkCodeCycleUnit")]
        public virtual ICollection<FmsFacilityCheckItem> FmsFacilityCheckItem { get; set; }
        [InverseProperty("FmsWorkCodeCycleUnit")]
        public virtual ICollection<FmsWorkSchedule> FmsWorkSchedule { get; set; }
    }
}
